<?php
/**
 * Plugin Name: Benchmark Custom Post Types
 * Plugin URI: http://e-merald.com/plugins/benchmark/
 * Description: Enables the custom post types and taxonomies for categories/groups needed for Benchmark WordPress theme.
 * Version: 1.2
 * Author: emerald
 * Author URI: http://e-merald.com
 * Domain Path: /languages
 * Text Domain: benchmark-cpts
 * License: GPL-2.0+
 *
 * This file includes a modified version of the original Portfolio Post Type plugin (vers. 0.8.1)
 * Special thanks to Devin Price (WP Theming LLC - http://wptheming.com/portfolio-post-type/).
 */

if ( ! defined( 'WPINC' ) ) {
	die;
}

// Required files for registering the post types and taxonomies.
require plugin_dir_path( __FILE__ ) . 'includes/class-custom-post-types.php';
require plugin_dir_path( __FILE__ ) . 'includes/section-cpt/class-section-post-type-registrations.php';
require plugin_dir_path( __FILE__ ) . 'includes/service-cpt/class-service-post-type-registrations.php';
require plugin_dir_path( __FILE__ ) . 'includes/slide-cpt/class-slide-post-type-registrations.php';
require plugin_dir_path( __FILE__ ) . 'includes/staff-cpt/class-staff-post-type-registrations.php';
require plugin_dir_path( __FILE__ ) . 'includes/testimonial-cpt/class-testimonial-post-type-registrations.php';
require plugin_dir_path( __FILE__ ) . 'includes/work-cpt/class-work-post-type-registrations.php';

$post_type_registrations = array();
$post_type_registrations[] = new Section_Post_Type_Registrations;
$post_type_registrations[] = new Service_Post_Type_Registrations;
$post_type_registrations[] = new Slide_Post_Type_Registrations;
$post_type_registrations[] = new Staff_Post_Type_Registrations;
$post_type_registrations[] = new Testimonial_Post_Type_Registrations;
$post_type_registrations[] = new Work_Post_Type_Registrations;

$custom_post_types = new Custom_Post_Types( $post_type_registrations );

// Register callback that is fired when the plugin is activated.
register_activation_hook( __FILE__, array( $custom_post_types, 'activate' ) );

// Initialise registrations for post-activation requests.
foreach ( $post_type_registrations as $registrations ) {
	$registrations->init();
}

if ( is_admin() ) {
	require plugin_dir_path( __FILE__ ) . 'includes/class-custom-post-types-admin.php';
	foreach ( $post_type_registrations as $registrations ) {
		$post_type_admin = new Custom_Post_Type_Admin( $registrations );
		$post_type_admin->init();
	}
}